Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete a model response

DELETE
/responses/{response_id}

Deletes a model response with the given ID.

Path Parameters
response_id: string

The ID of the response to delete.

Returns
id: string
deleted: boolean
object: "response.deleted" (default: "response.deleted")

Delete a model response

curl -X DELETE https://api.openai.com/v1/responses/resp_123 \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $OPENAI_API_KEY"
Response example
{
  "id": "resp_123",
  "object": "response.deleted",
  "deleted": true
}
Returns Examples
Response example
{
  "id": "resp_123",
  "object": "response.deleted",
  "deleted": true
}